%global origname supybot-limnoria
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           supybot-limnoria
Version:        20151212
Release:        3%{?dist}
Summary:        Cross-platform IRC bot written in Python

Group:          Applications/Internet
License:        BSD and GPLv2
URL:            https://github.com/ProgVal/Limnoria
# PSYCHOTIC Source0:        http://downloads.sourceforge.net/supybot/%{origname}-%{version}.tgz
Source0:        %{origname}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python-setuptools-devel
Obsoletes:	supybot
Obsoletes:	supybot-gribble
Requires:       python-twisted-core
Requires:       python-twisted-names
Requires:       python-dateutil
Requires:       python-feedparser
Requires:       python-dictclient
Requires:       python-simplejson
Provides:       supybot-limnoria = %{version}-%{release}
Provides:       supybot

%description
Supybot is a robust, user-friendly, and programmer-friendly Python IRC bot.
It aims to be an adequate replacement for most existing IRC bots.  It
includes a very flexible and powerful ACL system for controlling access
to commands, as well as more than 50 builtin plugins providing around
400 actual commands.

%prep
%setup -q -n %{origname}-%{version}


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%{__install} -d -m 755 %{buildroot}%{_mandir}/man1/
%{__install} -m 644 man/supybot.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 644 man/supybot-adduser.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 644 man/supybot-botchk.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 644 man/supybot-plugin-create.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 644 man/supybot-plugin-doc.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 644 man/supybot-test.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 644 man/supybot-wizard.1 %{buildroot}%{_mandir}/man1/

# These are provided in python-feedparser, python-dateutil,
# python-dictclient, and python-simplejson
%{__rm} -rf %{buildroot}%{python_sitelib}/supybot/plugins/RSS/local
%{__rm} -rf %{buildroot}%{python_sitelib}/supybot/plugins/Time/local
%{__rm} -rf %{buildroot}%{python_sitelib}/supybot/plugins/Dict/local
%{__rm} -rf %{buildroot}%{python_sitelib}/supybot/plugins/Google/local

# Remove the second set of binaries and man pages until further justification can be found
%{__rm} -rf %{buildroot}%{_mandir}/man1/limnoria*
%{__rm} -rf %{buildroot}%{_bindir}/limnoria*

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE.md README.md CONTRIBUTING.md RELNOTES
# PSYCHOTIC %doc ACKS ChangeLog LICENSE.md README.md CONTRIBUTING.md RELNOTES supybot-limnoria.changelog
#%doc docs/{ADVANCED_PLUGIN_CONFIG.rst,ADVANCED_PLUGIN_TESTING.rst,CAPABILITIES.rst}
#%doc docs/{CONFIGURATION.rst,FAQ.rst,GETTING_STARTED.rst,PLUGIN_TUTORIAL.rst,STYLE.rst}
#%doc docs/{USING_UTILS.rst,USING_WRAP.rst}
%{python_sitelib}/*egg-info
%{python_sitelib}/supybot
%{_bindir}/supybot
%{_bindir}/supybot-adduser
%{_bindir}/supybot-botchk
%{_bindir}/supybot-plugin-create
%{_bindir}/supybot-plugin-doc
%{_bindir}/supybot-test
%{_bindir}/supybot-wizard
%{_mandir}/man1/supybot.1*
%{_mandir}/man1/supybot-adduser.1*
%{_mandir}/man1/supybot-botchk.1*
%{_mandir}/man1/supybot-plugin-create.1*
%{_mandir}/man1/supybot-plugin-doc.1*
%{_mandir}/man1/supybot-test.1*
%{_mandir}/man1/supybot-wizard.1*


%changelog
* Sat Dec 12 2015 Psychotic Build System <builder@psychotic.ninja> - 20151212-3
- Automatic package generation

* Thu Jan 01 2015 Psychotic Build System <builder@psychotic.ninja> - 20141205-2
- Pulled into Psychotic Ninja from GhettoForge.  SRPM construction now fully
  automated and this .spec file generated from a template.  Package version now
  is only the datestring: 0.83.5 lost relevance many months ago.

* Fri Dec 05 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20141205-1
- New build from GIT

* Fri Oct 10 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20141010-1
- New build from GIT

* Sat Aug 09 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20140809-1
- New build from GIT

* Wed Jun 25 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20140625-1
- Remove the second set of generated binaries which should be symlinks but are not

* Wed Jun 25 2014 Bryan Seitz <seitz@ghettoforge.org> - 0.83.5.20140625-1
- New upstream release based on git 

* Fri Sep 13 2013 John R. Dennison <jrd@ghettoforge.org> - 0.83.4.1.git-2
- Added "Obsoletes: supybot supybot-gribble" & "Provides: supybot" for
- compatibilities
* Wed Sep 11 2013 Bryan Seitz <seitz@ghettoforge.org> - 0.83.4.1.git-1
- Rebuilt for GhettoForge
